petsc-3.10.5 2019-03-28
Report Typos and Errors

# MATBAIJ

MATBAIJ = "baij" - A matrix type to be used for block sparse matrices. This matrix type is identical to MATSEQBAIJ when constructed with a single process communicator, and MATMPIBAIJ otherwise.

### Options Database Keys

-mat_type baij -sets the matrix type to "baij" during a call to MatSetFromOptions()

### See Also

MatCreateBAIJ(),MATSEQBAIJ,MATMPIBAIJ, MatMPIBAIJSetPreallocation(), MatMPIBAIJSetPreallocationCSR()

### Level

beginner

### Location

src/mat/impls/baij/mpi/mpibaij.c

### Examples

src/ts/examples/tutorials/ex35.cxx.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages